Name: hmmer
Summary: Dr. Sean Eddy's program for database searches using Hidden markov Method
Version: 2.3.2
Release: 1
Source: hmmer-2.3.2.tar.gz
Group: Callident/BioBrew
Packager: BlackJack
Copyright: GPL
Buildroot: /var/tmp/%{name}-buildroot

%description
HMMER is an implementation of profile HMM methods for sensitive database searches using 
multiple sequence alignments as queries. Basically, you give HMMER a multiple sequence 
alignment as input; it builds a statistical model called a "hidden Markov model"
which you can then use as a query into a sequence database to find (and/or align) 
additional homologues of the sequence family. 


#Remember to set PVM_ARCH=LINUX and PVM_ROOT=/usr/share/pvm3 in order for this to build properly  

# RPM foo magic
%define _missing_doc_files_terminate_build 0
%define _unpackaged_files_terminate_build 0
%define debug_package %{nil}

%prep
%setup -q 

%build
%ifarch x86_64
CFLAGS="-O3 -static -m64 -msse2 -L/usr/share/pvm3/lib/LINUXX86_64 " ./configure --enable-threads --enable-lfs --enable-pvm
%endif
%ifarch athlon
CFLAGS="-O3 -static -march=athlon-xp -mmmx -m3dnow " ./configure --enable-threads --enable-lfs --enable-pvm
%endif
%ifarch i686
CFLAGS="-O3 -static  -march=pentium3  " ./configure --enable-threads --enable-lfs --enable-pvm
%endif
%ifarch p4
CFLAGS="-O3 -static  -march=pentium4  -mfpmath=sse " ./configure --enable-threads --enable-lfs --enable-pvm
%endif
%ifarch i386
CFLAGS="-O3 -static -march=pentium " ./configure --enable-threads --enable-lfs --enable-pvm
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/HMMER/
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/HMMER/bin
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1

install -s -m 755 src/hmmalign $RPM_BUILD_ROOT/opt/BioBrew/HMMER/bin/hmmalign
install -s -m 755 src/hmmbuild $RPM_BUILD_ROOT/opt/BioBrew/HMMER/bin/hmmbuild
install -s -m 755 src/hmmcalibrate $RPM_BUILD_ROOT/opt/BioBrew/HMMER/bin/hmmcalibrate
install -s -m 755 src/hmmcalibrate $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmcalibrate-pvm
install -s -m 755 src/hmmconvert $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmconvert
install -s -m 755 src/hmmemit $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmemit
install -s -m 755 src/hmmfetch $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmfetch
install -s -m 755 src/hmmindex $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmindex
install -s -m 755 src/hmmpfam $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmpfam
install -s -m 755 src/hmmpfam $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmpfam-pvm
install -s -m 755 src/hmmsearch $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmsearch
install -s -m 755 src/hmmsearch $RPM_BUILD_ROOT/opt/BioBrew/HMMER/hmmsearch-pvm

install -m 644 documentation/man/hmmalign.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmalign.1
install -m 644 documentation/man/hmmbuild.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmbuild.1
install -m 644 documentation/man/hmmcalibrate.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmcalibrate.1
install -m 644 documentation/man/hmmconvert.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmconvert.1
install -m 644 documentation/man/hmmemit.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmemit.1
install -m 644 documentation/man/hmmer.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmer.1
install -m 644 documentation/man/hmmfetch.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmfetch.1
install -m 644 documentation/man/hmmindex.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmindex.1
install -m 644 documentation/man/hmmpfam.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmpfam.1
install -m 644 documentation/man/hmmsearch.man $RPM_BUILD_ROOT/opt/BioBrew/HMMER/man1/hmmsearch.1


%post
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/BioBrew

%changelog
* Mon Jan 24 2005 gotero
-updated for 2.3.2 using Sean Eddy's and Joe Landman's spec files as templates
* Fri May 23 2003  BlackJack
- initial spec file
